Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1889021 - Review Request: python-mrcrowbar - Library and framework for reverse engineering binary file formats
Summary: Review Request: python-mrcrowbar - Library and framework for reverse engineer...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-10-16 21:21 UTC by Fabian Affolter
Modified: 2022-09-27 06:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-05 01:38:43 UTC
Type: Bug
Embargoed:
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-10-16 21:21:32 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-mrcrowbar.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-mrcrowbar-0.8.0-1.fc33.src.rpm

Project URL: https://github.com/moralrecordings/mrcrowbar

Description:
Mr. Crowbar is a Django-esque model framework that makes it super easy
to work with proprietary binary formats while reverse engineering.

File formats are described with Python classes that allow ORM-like free
modification of structures and properties, which in turn can be validated
and converted back to the binary equivalent at any time.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=53600758

rpmlint output:
$ rpmlint python-mrcrowbar-0.8.0-1.fc33.src.rpm 
python-mrcrowbar.src: W: spelling-error %description -l en_US esque -> ques
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python*mrcrowbar*
python3-mrcrowbar.noarch: W: spelling-error %description -l en_US esque -> ques
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcdiff
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcdump
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcgrep
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrchist
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcpix
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Fedora Account System Username: fab

Comment 1 Andy Mender 2020-10-18 12:06:05 UTC
Overall looks good, but there is a problem with font bundling typical of sphinx-based -doc subpackages. Sadly, I don't think it can be avoided. 

Package approved. Full review below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 123 files have unknown license. Detailed output of
     licensecheck in /home/amender/rpmbuild/SPECS/python-mrcrowbar/python-
     mrcrowbar/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-mrcrowbar
     Reviewer: It would probably make sense to make the python3-%{pypi_name}-doc
     subpackage depend on python3-%{pypi_name} like so:
     Requires: python3-%{pypi_name} = %{version}-%{release}
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python3-mrcrowbar-0.8.0-1.fc34.noarch.rpm
          python-mrcrowbar-doc-0.8.0-1.fc34.noarch.rpm
          python-mrcrowbar-0.8.0-1.fc34.src.rpm
python3-mrcrowbar.noarch: W: spelling-error %description -l en_US esque -> ques
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcdiff
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcdump
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcgrep
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrchist
python3-mrcrowbar.noarch: W: no-manual-page-for-binary mrcpix
python-mrcrowbar.src: W: spelling-error %description -l en_US esque -> ques
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name python3-mrcrowbar
(none): E: no installed packages by name python-mrcrowbar-doc
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://github.com/moralrecordings/mrcrowbar/archive/0.8.0/mrcrowbar-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 987cbf38e59120cdd22ff3c17e8a6ff127ad942942ad87f3ca8a1d1ab8b29292
  CHECKSUM(SHA256) upstream package : 987cbf38e59120cdd22ff3c17e8a6ff127ad942942ad87f3ca8a1d1ab8b29292


Requires
--------
python3-mrcrowbar (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.9dist(setuptools)

python-mrcrowbar-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-mrcrowbar:
    python-mrcrowbar
    python3-mrcrowbar
    python3.9-mrcrowbar
    python3.9dist(mrcrowbar)
    python3dist(mrcrowbar)

python-mrcrowbar-doc:
    python-mrcrowbar-doc

Comment 2 Fabian Affolter 2020-10-26 11:01:37 UTC
Thanks for the review.

(In reply to Andy Mender from comment #1)
> Overall looks good, but there is a problem with font bundling typical of
> sphinx-based -doc subpackages. Sadly, I don't think it can be avoided. 

Let me check with upstream.

Comment 3 Gwyn Ciesla 2020-10-26 13:25:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-mrcrowbar

Comment 4 Andy Mender 2020-11-24 20:30:55 UTC
I see the package hasn't been imported yet. Any help needed?

Comment 5 Fedora Update System 2020-11-25 21:50:00 UTC
FEDORA-2020-249018f223 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-249018f223

Comment 6 Fedora Update System 2020-11-27 02:10:14 UTC
FEDORA-2020-249018f223 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-249018f223 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-249018f223

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-12-05 01:38:43 UTC
FEDORA-2020-249018f223 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.